FROM node:18.20.4 AS build
# Create a Virtual directory inside the docker image
WORKDIR /frontend
COPY ["frontend", "."]
RUN npm ci --legacy-peer-deps
RUN npm run build

### STAGE 2:RUN ###
# Defining nginx image to be used
FROM nginx:latest AS ngi
# Copying compiled code and nginx config to different folder
# NOTE: This path may change according to your project's output folder
COPY --from=build /frontend/dist/organizer /usr/share/nginx/html
COPY frontend/nginx.conf  /etc/nginx/conf.d/default.conf
EXPOSE 4200
